XfceMenuStandardRules
3
LIBXFCE4MENU Library

# XfceMenuStandardRules

## Synopsis

    #include <libxfce4menu/libxfce4menu.h>

                        XfceMenuStandardRules;
    gboolean            xfce_menu_standard_rules_get_include
                                                            (XfceMenuStandardRules *rules);
    void                xfce_menu_standard_rules_set_include
                                                            (XfceMenuStandardRules *rules,
                                                             gboolean include);

## Object Hierarchy

      GObject
       +----XfceMenuStandardRules
             +----XfceMenuOrRules
             +----XfceMenuAndRules
             +----XfceMenuNotRules

## Implemented Interfaces

XfceMenuStandardRules implements XfceMenuRules.

## Properties

      "include"                  gboolean              : Read / Write

## Description

## Details

### XfceMenuStandardRules

    typedef struct _XfceMenuStandardRules XfceMenuStandardRules;

### xfce_menu_standard_rules_get_include ()

    gboolean            xfce_menu_standard_rules_get_include
                                                            (XfceMenuStandardRules *rules);

`rules` :

Returns :

### xfce_menu_standard_rules_set_include ()

    void                xfce_menu_standard_rules_set_include
                                                            (XfceMenuStandardRules *rules,
                                                             gboolean include);

`rules` :

`include` :

## Property Details

### The `"include"` property

      "include"                  gboolean              : Read / Write

Whether this rule set shall be treated as an include or exclude element.

Default value: TRUE